CTYPE(3)

NAME
ctype - character classification macros

SYNOPSIS
#include <ctype.h>
int
isalpha(int c);
int
isupper(int c);
int
islower(int c);
int
isdigit(int c);
int
isxdigit(int c);
int
isalnum(int c);
int
isspace(int c);
int
ispunct(int c);
int
isprint(int c);
int
isgraph(int c);
int
iscntrl(int c);
int
isblank(int c);
int
isascii(int c);
int
toupper(int c);
int
tolower(int c);
int
toascii(int c);

DESCRIPTION
The above macros perform character tests and conversions on the integer c.

See each function's own manual page for more information.

SEE ALSO
isalnum(3), isalpha(3), isascii(3), isblank(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isspace(3), isupper(3), isxdigit(3), stdio(3), toascii(3), tolower(3), toupper(3), ascii(7)

STANDARDS
These functions, with the exception of isblank() and toascii(), conform to ansiC.